Bug 965956 - Add note on building from sources
Add note on building from sources
Status: CLOSED NOTABUG
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Vikram Goyal
Marek Baluch
:
Depends On: 965601
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 03:27 EDT by Lukáš Petrovický
Modified: 2014-09-22 07:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 965601
Environment:
Last Closed: 2013-12-18 20:27:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Petrovický 2013-05-22 03:27:32 EDT
+++ This bug was initially created as a clone of Bug #965601 +++

Despite the fact we distribute source distributions, those cannot be compiled without access to internal repositories (e.g. MEAD repository).

We need to propagate that information visibly to our customers, likely in following form in documentation and/or sources distributions zips in a readme file:   

   On request, Red Hat shall provide customers of [PRODUCT NAME] with
   sufficient access to certain contents of our internal Maven
   repository to facilitate rebuilding of original or modified
   versions of components of [PRODUCT NAME]. Such access will be
   provided by Red Hat to the requesting customer without undue delay.
Comment 2 Vikram Goyal 2013-10-14 23:07:47 EDT
Hi Lukas,

This looks more like a productization issue (release engineering) rather than a docs one. We don't provide any info in our docs for building from source code, nor do we have any plans to do so at this stage.

Vikram

Note You need to log in before you can comment on or make changes to this bug.